fn hide_on_delete(win: &gtk::Window, _: &gdk::Event) -> Inhibit
{
   win.hide();
   Inhibit(true)
}

fn mk_win_map_tools(b: &gtk::Builder)
{
   let win: gtk::Window = get_obj(b, "win-map-tools");

   win.connect_delete_event(hide_on_delete);
}

fn mk_win_map_view(b: &gtk::Builder)
{
   let win: gtk::Window = get_obj(b, "win-map-view");

   win.connect_delete_event(hide_on_delete);
}

fn mk_win_about(b: &gtk::Builder)
{
   let win: gtk::AboutDialog = get_obj(b, "win-about");

   win.set_authors(&env!("CARGO_PKG_AUTHORS").split(';').collect::<Vec<_>>());
   win.set_version(env!("CARGO_PKG_VERSION"));
   win.set_website(env!("CARGO_PKG_HOMEPAGE"));
   win.set_logo(&load_img("/net/greyserv/maraiah/tycho/tycho2"));
}

fn mk_win_main(b: &gtk::Builder, app: &gtk::Application)
{
   let win: gtk::Window = get_obj(b, "win-main");

   win.set_application(app);
   win.show_all();
}

// EOF
